'use strict';
const {
  Model
} = require('sequelize');
module.exports = (sequelize, DataTypes) => {
  class EmailTemplate extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      // define association here
    }
  }
  EmailTemplate.init({
    name: DataTypes.STRING,
    subject: DataTypes.STRING,
    body: DataTypes.TEXT,
    variables: DataTypes.JSON,
    isActive: DataTypes.BOOLEAN
  }, {
    sequelize,
    modelName: 'EmailTemplate',
  });
  return EmailTemplate;
};